Module java.desktop
Package javax.swing.plaf.basic

# Class BasicFileChooserUI.AcceptAllFileFilter

java.lang.Object
javax.swing.filechooser.FileFilter
javax.swing.plaf.basic.BasicFileChooserUI.AcceptAllFileFilter

Enclosing class:
  `BasicFileChooserUI`

protected class BasicFileChooserUI.AcceptAllFileFilter extends FileFilter
Accept all file filter.

## Constructor Summary

Constructors
Constructor
Description
`AcceptAllFileFilter()`
Constructs an `AcceptAllFileFilter`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File f)`
Returns true.
`String`
`getDescription()`
The description of this filter.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AcceptAllFileFilter

public AcceptAllFileFilter()
Constructs an `AcceptAllFileFilter`.

## Method Details

### accept

public boolean accept(File f)
Returns true.

Specified by:
  `accept` in class `FileFilter`
Parameters:
  `f` - the file
Returns:
  true

### getDescription

public String getDescription()
The description of this filter. For example: "JPG and GIF Images"

Specified by:
  `getDescription` in class `FileFilter`
Returns:
  the description of this filter
See Also:
  - `FileView.getName(java.io.File)`